module.exports = {
  create: {
    requestBody: ["title", "desc"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["title", "desc"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: ["title", "desc"],
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  apply:{
    params: ["!id"],
    requestBody:['user_id','user_name','buyer', 'goodsList', 'contact', 'contact_tel', 'email', 'company'],
    service: 'apply',
  },
  check:{
    params: ["!id","!dock_id"],
    requestBody:['status'],
    service:'check',
  }
};
