/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = (exports = {});

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1579225760252_7743';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 9009,
    },
  };

  config.mongoose = {
    url: 'mongodb://localhost:27017/platform',
    options: {
      // user: 'admin',
      // pass: 'admin',
      // authSource: 'admin',
      // useNewUrlParser: true,
      // useCreateIndex: true,
      // useUnifiedTopology: true,
    },
  };
  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'visit',
      password: 'visit',
      vhost: 'visit',
    },
    app: true,
    agent: true,
  };

  return {
    ...config,
    ...userConfig,
  };
};
